; fastman92limitAdjuster_GTASA.ini
; Configuration by cheeseburger

[DYNAMIC LIMITS]
; ColModels (10150)
; Number of different collisions that can be loaded.
ColModels = 99999

; VehicleStructs (50)
; Max number of vehicles with different IDs loaded.
#VehicleStructs = 50

; rwObjectInstances (1500)
rwObjectInstances = 99999

; Matrices (900)
Matrices = 99999

; PtrNode Singles (75000)
PtrNode Singles = 999999

; PtrNode Doubles (6000)
PtrNode Doubles = 999999

; EntryInfoNodes (500)
EntryInfoNodes = 999999

[IPL]
; Buildings (14000)
Buildings = 999999

; Dummies (3500)
Dummies = 999999

; Entity index array (40)
Entity index array = 999999

; Entry exits (455)
Entry exits = 999999

[IDE LIMITS]
; IDE Objects Type 1 (14000)
IDE Objects Type 1 = 999999

; IDE Objects Type 2 (70)
IDE Objects Type 2 = 999999

; Timed Objects (169)
Timed Objects = 99999

; Hier Objects (92)
; Clump models
Hier Objects = 99999

; Vehicle Models (212)
#Vehicle Models = 212

; Ped Models (278)
#Ped Models = 278

; Weapon Models (51)
#Weapon Models = 51

; 2DFX Effects (100)
2DFX Effects = 99999

[MAP LIMITS]
; Enable path debugging (0)
; Make sure to increase 'OTHER LIMITS -> Coronas', because the path debugging registers a large number of coronas to be rendered.
#Enable path debugging = 0

; Paths map size (6000)
; This option requires a new set of files if map size is changed!!!
#Paths map size = 6000

; Water map size (6000)
Water map size = 6000

; Renderware world map size (20000)
Renderware world map size = 28000

; World map size (6000)
World map size = 24000

; World sector size (50)
World sector size = 200

; World LOD sector size (200)
World LOD sector size = 500

[IMG LIMITS]
; Max number of IMG archives (8)
:Max number of IMG archives = 8

[WATER LIMITS]
; Water triangles (6)
Water triangles = 32

; Water quads (301)
Water quads = 99999

; Water quads and triangles list (701)
Water quads and triangles list = 1402

; Water vertices (1021)
Water vertices = 2043

; Blocks to be rendered outside world (70)
Blocks to be rendered outside world = 512

[STREAMING]
; Memory available (50)
Memory available = 2048

; Max number of stream handles (32)
Max number of stream handles = 64

[RENDERER LIMITS]
; Invisible entity pointers (150)
Invisible entity pointers = 99999

; Visible super LOD pointers (50)
Visible super LOD pointers = 99999

; Visible LOD pointers (1000)
Visible LOD pointers = 99999

; Visible entity pointers (1000)
Visible entity pointers = 99999

[ID LIMITS]
; Apply ID limit patch (0)
#Apply ID limit patch = 0

; FILE_TYPE_DFF (20000)
FILE_TYPE_DFF = 50000

; FILE_TYPE_TXD (5000)
#FILE_TYPE_TXD = 5000

; FILE_TYPE_COL (255)
#FILE_TYPE_COL = 255

; FILE_TYPE_IFP (180)
#FILE_TYPE_IFP = 180

; FILE_TYPE_RRR (475)
#FILE_TYPE_RRR = 475

; Count of killable model IDs (800)
; In game there's an array CDarkel::RegisteredKills and it stores the number of registered kills for model IDs.
; Model IDs that may be killed are vehicles/peds.
; Default value of 800, means that 0-799 is valid ID for ped/vehicle.
; 
; As such, this value will affect the max possible ID for ped/vehicle.
#Count of killable model IDs = 800

[HANDLING.CFG LIMITS]
; Apply handling.cfg patch (0)
#Apply handling.cfg patch = 0

; Number of standard lines (210)
#Number of standard lines = 210

; Number of bike lines (13)
#Number of bike lines = 13

; Number of flying lines (24)
#Number of flying lines = 24

; Number of boat lines (12)
#Number of boat lines = 12

[OTHER LIMITS]
; Collision size (32768)
Collision size = 99999

; Object info entries (160)
; Max number of object.dat entries.
; 5 first entries of array are reserved for hardcoded purpose.
#Object info entries = 160

[ROADBLOCK LIMITS]
; Apply roadblox.dat better loader (0)
; Make it possible to use a roadblox.dat of variable size.
#Apply roadblox.dat better loader = 0

[SPECIAL]
; Fix keyboard making bad mouse movement (0)
Fix keyboard making bad mouse movement = 1

; Fix cheats typed by keyboard not working (0)
Fix cheats typed by keyboard not working = 1

; Alter file loading order (1)
; Alters the file loading loading.
; Files from game root directory will take a precedence over files from APK archive.
; Useful to edit handling.cfg for example.
Alter file loading order = 1

; Remove LOD DFF requirement to hold native data (1)
Remove LOD DFF requirement to hold native data = 1

; Fix HAL crashing on devices with Android 11 and higher (1)
Fix HAL crashing on devices with Android 11 and higher = 1

[PLUGIN PATCHES]
; Enable CLEO loading (1)
Enable CLEO loading = 1

; Enable CLEO patches (1)
Enable CLEO patches = 1

[ADDONS]
; Enable vehicle audio loader (0)
#Enable vehicle audio loader = 0

[MAIN]
; author (fastman92)
author = fastman92

; Disable FLA loading text (0)
#Disable FLA loading text = 0

; Register global exception handler (1)
; Crash exception handler
; You should leave it enabled or there will be no crash log.
; Please don't disable it unless you have a good reason.
Register global exception handler = 1

; Use a different INI ()
#Use a different INI = 